Package org.eclipse.emf.cdo.explorer.repositories

## Enum CDORepository.IDGeneration

- java.lang.Object
- - java.lang.Enum<CDORepository.IDGeneration>
  - - org.eclipse.emf.cdo.explorer.repositories.CDORepository.IDGeneration

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CDORepository.IDGeneration>`
  Enclosing interface:
    CDORepository

      public static enum CDORepository.IDGeneration
      extends java.lang.Enum<CDORepository.IDGeneration>

  Author:
    Eike Stepper

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Counter` |
    `UUID` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CDORepository.IDGeneration` | `from​(CDORepositoryInfo repositoryInfo)` |
    `CDOCommonRepository.IDGenerationLocation` | `getLocation()` |
    `static CDORepository.IDGeneration` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CDORepository.IDGeneration[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Counter

          public static final CDORepository.IDGeneration Counter

    - #### UUID

          public static final CDORepository.IDGeneration UUID

  - ### Method Detail

    - #### values

          public static CDORepository.IDGeneration[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDORepository.IDGeneration c : CDORepository.IDGeneration.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDORepository.IDGeneration valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocation

          public CDOCommonRepository.IDGenerationLocation getLocation()

    - #### from

          public static CDORepository.IDGeneration from​(CDORepositoryInfo repositoryInfo)